* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/* My main objective was to consolidate the stylings and add additional styling features to the html elements*/

/* I gave a font size in the body structure so that it would be consistent throughout the page. */
body {
    background-color: #d9dcd6;
    font-size: 18px;
}

header {
    display: flex; /* I used a flex container and its features for the header element to wrap the nav bar and to give space between each section.*/
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    background-color: #2a607c;
    color: #ffffff;
}

header h1 {
    align-items: center;
    padding-left: 15px;
    font-size: 48px;
    color: #ffffff;
    padding-top: 15px;
}
/* I gave the class .seo its own styling apart from the header h1 because they are different colors.*/
.seo {
    color: #d9dcd6;
}

header nav {
    float: right;
    margin: 15px 15px;
    padding: 15px 0 15px;
}

header nav ul li {
    display: inline-flex;
    margin-left: 25px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 30px;
    font-weight:400;
}

header nav ul li a {
text-decoration: none;
color: #ffffff;
}

footer {
    padding: 30px;
    clear: both;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    text-align: center;
}

footer h2 {
    font-size: 20px;
}

.hero {
    height: 800px;
    width: 100%;
    margin-bottom: 25px;
    background-image: url("../images/digital-marketing-meeting.jpg");
    background-size: cover;
    background-position: center;
}

/* I consolidated the service feature section from individual stylings per container to universal stylings.
Therefore, we no longer have three sets of stylings for each container, heading, and image. */

.service-features {
    width: 75%;
    display: inline-block;
    margin-left: 20px;
}

.content h2 {
    margin-bottom: 20px;
    font-size: 52px;
}
.content img {
    max-height: 200px;
}

.content p {
    line-height: 1.5;
}

.float-left {
    float: left;
    margin-right: 25px;
}

.float-right {
    float: right;
    margin-left: 25px;
}

.article-features {
    margin-bottom: 20px;
    padding: 50px;
    height: 300px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    background-color: #0072bb;
    color: #ffffff;
}

.article-features img {
    max-height: 200px;
}
/* I consolidated the benefits section from individual stylings per container to universal stylings.
Therefore, we no longer have three sets of stylings for each container, heading, and image. */

.benefits {
    margin-right: 20px;
    padding: 20px;
    clear: both;
    float: right;
    width: 20%;
    height: 100%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    background-color: #2589bd;
}

.benefits-feature {
    margin-bottom: 32px;
    color: #ffffff;
}

.benefits h3 {
    margin-bottom: 10px;
    text-align: center;
    color: #ffffff;
}

.benefits img {
    display: block;
    margin: 10px auto;
    max-width: 150px;
}

